aboutsummaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-15 23:16:26 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-15 23:16:26 +0000
commitd47d0ec2b2600b1e21ffc3f1b59d6afb7186c608 (patch)
tree1fa701516326aa0259d0365944550ec318a34bb0 /net
parente079447eb9ad909885e9b4aaa71ea9d2d61246a5 (diff)
downloadslackbuilds-d47d0ec2b2600b1e21ffc3f1b59d6afb7186c608.tar.gz
slackbuilds-d47d0ec2b2600b1e21ffc3f1b59d6afb7186c608.tar.bz2
fixed util-vserver dependencies
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@927 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net')
-rwxr-xr-xnet/misc/vlan/vlan.SlackBuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/net/misc/vlan/vlan.SlackBuild b/net/misc/vlan/vlan.SlackBuild
new file mode 100755
index 00000000..412c8dd4
--- /dev/null
+++ b/net/misc/vlan/vlan.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+#
+# slackbuild for vlan
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cairo are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="vlan"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=1.9}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE.$VERSION.tar.$PACKAGE_EXT"
+URL="http://www.candelatech.com/~greear/vlan/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+mv $PACKAGE $PACKAGE-$VERSION
+cd $PACKAGE-$VERSION
+rm -f vconfig vconfig.o
+make || exit $ERROR_MAKE
+
+CWD="`pwd`"
+
+mkdir $TMP/package-$PACKAGE
+cd $TMP/package-$PACKAGE
+
+mkdir -p usr/bin
+cp $CWD/vconfig usr/bin
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+vlan: vlan (802.1Q VLAN implementation for Linux)
+vlan:
+vlan: http://www.candelatech.com/~greear/vlan.html
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+vlan:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in CHANGELOG README vlan.html howto.html; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+